// https://symfony.com/doc/current/reference/forms/types/collection.html#adding-and-removing-items
function parseHTML(html) {
    const template = document.createElement('template');
    template.innerHTML = html;
    return template.content.cloneNode(true);
}

document.addEventListener('DOMContentLoaded', () => {
    const el = document.querySelector('.add-another-collection-widget');
    if (el) {
        const { listSelector } = el.dataset;

        el.addEventListener('click', () => {
            const list = document.querySelector(listSelector);
            const { widgetCounter, widgetTags, prototype } = list.dataset;

            let counter = widgetCounter || list.children.length;

            const newWidget = parseHTML(prototype.replace(/__name__/g, counter));
            counter++;
            list.dataset.widgetCounter = counter;

            const listElement = parseHTML(widgetTags);
            listElement.appendChild(newWidget);
            list.appendChild(listElement);
        });
    }
});
